#pragma once

#include <saas/library/daemon_base/module/module.h>
#include <saas/rtyserver/config/config.h>

class TUrlToDocIdConfig: public TPluginConfig<TRTYServerConfig::IComponentConfig> {
private:
    bool UseGlobalMapping = true;

protected:
    virtual bool DoCheck() const;
    virtual void DoInit(const TYandexConfig::Section& componentSection);
    virtual void DoToString(IOutputStream& so) const;

public:
    i32 GetUseGlobalMapping() const {
        return UseGlobalMapping;
    }
};
